select item_no,item_barcode,modify_date from #SDB..t_bd_item_barcode
##
if not ((#SV = 'isszmv6' or #SV = 'isszmv7' or #SV = 'isszmv8' or #SV = 'isszmv9') and (#TV = 'isszmv6' or #TV = 'isszmv7' or #TV = 'isszmv8' or #TV = 'isszmv9'))
	exec('update t_bd_item_barcode set num1 = tab_a.num1,
									   num2  = tab_a.num2,
									   num3  = tab_a.num3,
									   other1 = tab_a.other1,
									   other2 = tab_a.other2,
									   other3 = tab_a.other3
          from #SDB..t_bd_item_barcode as tab_a
		  where t_bd_item_barcode.item_barcode = tab_a.item_barcode')
GO